
QGIS Application - Bug report #19939

mesh: missing arrows around the edge of the canvas

2018-09-25 02:08 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Peter Petrik

Category: Data Provider/MDAL

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27761

Description

As seen in the attached picture (mesh.jpg), mesh layer rendering of vector arrows will sometimes miss arrows along the edge. I assume

this is because those fall just, just outside the canvas extent.

IMHO, the requested extent from which arrows are drawn need to be a buffered canvas extent value, possibly canvas extent + maximum

lenght of a vector arrow, to insure the rendering is accurate.

(As per discussed on hangout, assigning this to mesh-master Peter)

Associated revisions

Revision b0bd6293 - 2018-10-25 01:16 PM - Peter Petrik

fix #19939: render mesh arrows also on the edge of the canvas

History

#1 - 2018-10-14 12:07 PM - Saber Razmjooei

- Category changed from Vectors to Data Provider/MDAL

#2 - 2018-10-23 11:15 AM - Peter Petrik

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR: https://github.com/qgis/QGIS/pull/8278

#3 - 2018-10-25 01:15 PM - Peter Petrik

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|b0bd6293366a31f2bd7fa347aa104c326bc2d088.

#4 - 2018-10-25 01:17 PM - Peter Petrik

- Resolution set to fixed/implemented
https://github.com/qgis/QGIS/pull/8278


fixed in 3.3
